entity bin2int is
		generic(
			n : integer
			);
		port(
			bin : in bit_vector(n-1 downto 0);
			int : out integer range 0 to 2**n-1
		);
end bin2int;

architecture rtl of bin2int is
begin
	process (bin)
		variable sum : integer range 0 to 2**n-1 := 0;
	begin
		sum := 0;
		conv: for i in 0 to n-1 loop
			if (bin(i) = '1') then
				sum := sum + 2**i;
			end if;
		end loop;
	int <= sum;
	end process;
end rtl;
